com.eloview.homesdk.networkManager

## Enum NetworkSecurityType

- java.lang.Object
- - java.lang.Enum<NetworkSecurityType>
  - - com.eloview.homesdk.networkManager.NetworkSecurityType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NetworkSecurityType>

      public enum NetworkSecurityType
      extends java.lang.Enum<NetworkSecurityType>

  `NetworkConfig` only accepts a security type which is defined in the enum @`NetworkSecurityType`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EAP_TLS`
    `OPEN`
    `WEP`
    `WPA`
    `WPA2`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static NetworkSecurityType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NetworkSecurityType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WEP

          public static final NetworkSecurityType WEP

    - #### WPA

          public static final NetworkSecurityType WPA

    - #### OPEN

          public static final NetworkSecurityType OPEN

    - #### WPA2

          public static final NetworkSecurityType WPA2

    - #### EAP_TLS

          public static final NetworkSecurityType EAP_TLS

  - ### Method Detail

    - #### values

          public static NetworkSecurityType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NetworkSecurityType c : NetworkSecurityType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NetworkSecurityType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()